import 'package:flutter/material.dart';
import 'package:nbt_app/screen/catch%20up/catchup_page.dart';
import 'package:nbt_app/screen/home/home_page.dart';
import 'package:nbt_app/screen/livetv/tvonline_page.dart';
import 'package:nbt_app/screen/news/news_page.dart';
import 'package:nbt_app/screen/programs/programs_page.dart';

import '../globalvariables/global_variables.dart';

class BottomBar extends StatefulWidget {
  const BottomBar({Key? key}) : super(key: key);

  @override
  State<BottomBar> createState() => _BottomBarState();
}

class _BottomBarState extends State<BottomBar> {
  //int _selectedIndex = 0;
  var argumentIndex = null;

  void _onItemTapped(int index) {
    setState(() {
      selectedIndex = index;
      argumentIndex = index;
    });
  }

  @override
  Widget build(BuildContext context) {
    var checkArguments = ModalRoute.of(context)!.settings.arguments;

    if (checkArguments != null) {
      final arguments = checkArguments as Map;
      if (argumentIndex == null) {
        argumentIndex = arguments['index'];
      } else {
        arguments['index'] = argumentIndex;
      }
      // print('arguments ${arguments}');
      _onItemTapped(argumentIndex);
    }

    return SizedBox(
      height: 100,
      child: BottomNavigationBar(
          type: BottomNavigationBarType.fixed,
          selectedItemColor: Color(0xFF4D207E),
          unselectedItemColor: Color(0xFFA19FA3),
          selectedLabelStyle: TextStyle(fontSize: 15, fontFamily: 'DBHeavent'),
          unselectedLabelStyle:
              TextStyle(fontSize: 15, fontFamily: 'DBHeavent'),
          showSelectedLabels: true,
          showUnselectedLabels: true,
          currentIndex: selectedIndex,
          onTap: _onItemTapped,
          items: const [
            BottomNavigationBarItem(icon: Icon(Icons.home), label: 'หน้าหลัก'),
            BottomNavigationBarItem(
                icon: Icon(Icons.live_tv), label: 'ทีวีออนไลน์'),
            BottomNavigationBarItem(icon: Icon(Icons.feed), label: 'ข่าว'),
            BottomNavigationBarItem(
                icon: Icon(Icons.video_collection), label: 'รายการ'),
            BottomNavigationBarItem(
                icon: Icon(Icons.video_label), label: 'Catch up'),
          ]),
    );
  }
}
